using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BPA.Message;
using BPA.Message.Enum;
using Microsoft.Toolkit.Mvvm.ComponentModel;
using Microsoft.Toolkit.Mvvm.Input;

namespace HBLConsole.Model
{
    public class OrderData : ObservableObject
    {
        public bool IsSelected { get { return _mIsSelected; } set { _mIsSelected = value; OnPropertyChanged(); } }
        private bool _mIsSelected;

        public MorkOrderPush OrderPush { get { return _mOrderPush; } set { _mOrderPush = value; OnPropertyChanged(); } }
        private MorkOrderPush _mOrderPush = new MorkOrderPush();

        public ORDER_STATUS OrderStatus { get { return _mOrderStatus; } set { _mOrderStatus = value; OnPropertyChanged(); } }
        private ORDER_STATUS _mOrderStatus;

        public string StartDate { get { return _mStartDate; } set { _mStartDate = value; OnPropertyChanged(); } }
        private string _mStartDate;

        public string EndDate { get { return _mEndDate; } set { _mEndDate = value; OnPropertyChanged(); } }
        private string _mEndDate;

        public string CompleteDate { get { return _mCompleteDate; } set { _mCompleteDate = value; OnPropertyChanged(); } }
        private string _mCompleteDate;



    }
}
